<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Album 3</title>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <style>
      th {
        background-color: #5b9ad4;
        color: white;
      }

      table {
        background-color: #d3dfef;
      }

      th,
      td {
        border: 1px solid white;
      }

      tr:nth-child(even) {
        background-color: #eaeef6;
      }
    </style>
  </head>

  <body onload="onPageLoading()">
    <div class="container-fluid pt-4">
      <h2 class="text-center pb-3">DANH SÁCH ẢNH CỦA ALBUM SỐ 3</h2>

      <table class="table" id="table-album-img">
        <thead>
          <tr>
            <th scope="col">STT</th>
            <th scope="col">Album</th>
            <th scope="col">Tittle</th>
            <th scope="col">Url ảnh</th>
            <th scope="col">Thumbnail</th>
          </tr>
        </thead>
        <tbody>

        </tbody>
      </table>
    </div>
  </body>

  <script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //hàm thực thi khi tải trang
    function onPageLoading() {
      $.ajax({
        url: "https://jsonplaceholder.typicode.com/albums/3/photos",
        type: "GET",
        dataType: "json", // added data type
        success: function (res) {
          console.log(res);
          loadDataToTable(res);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        },
      });
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm load dữ liệu lên table
    function loadDataToTable(paramRes) {
      "use strict";
      for (var bI = 0; bI < paramRes.length; bI++) {
        var bHtml = `
          <tr>
            <td>${bI + 1}</td>
            <td>${paramRes[bI].albumId}</td>
            <td>${paramRes[bI].title}</td>
            <td>${paramRes[bI].url}</td>
            <td class="text-center">
              <img src="${paramRes[bI].thumbnailUrl}" class="img-thumbnail" alt="...">
            </td>
          </tr>
        `;
        $("#table-album-img tbody").append(bHtml);
      }
    }
  </script>
</html>
